summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Erwin van Zanten2013-10-27 17:03:05 +0100
committer Matteo Bernardini2013-10-27 20:54:02 +0100
commit37517787c7b4c3494ac5d5b13fbe1ca242317e97 (patch)
treedbc1f2cbbfb3fb14c6f8246907deff83ea27c414 /games
parent164b793f56d6cf6d5cfae5825737b42cf842c9af (diff)
downloadslackbuilds-37517787c7b4c3494ac5d5b13fbe1ca242317e97.tar.gz
games/openmsx: Added (MSX emulator).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/openmsx/README5
-rw-r--r--games/openmsx/doinst.sh3
-rw-r--r--games/openmsx/openmsx.SlackBuild105
-rw-r--r--games/openmsx/openmsx.desktop10
-rw-r--r--games/openmsx/openmsx.info10
-rw-r--r--games/openmsx/slack-desc19
6 files changed, 152 insertions, 0 deletions
diff --git a/games/openmsx/README b/games/openmsx/README
new file mode 100644
index 0000000000..5f86f923c5
--- /dev/null
+++ b/games/openmsx/README
@@ -0,0 +1,5 @@
+openMSX is an emulator for the MSX home computer system.
+Its goal is to emulate all aspects of the MSX with 100% accuracy:
+perfection in emulation.
+You can find everything you ever wanted to know about MSX, and more,
+in the Ultimate MSX FAQ (http://www.faq.msxnet.org/).
diff --git a/games/openmsx/doinst.sh b/games/openmsx/doinst.sh
new file mode 100644
index 0000000000..140e332222
--- /dev/null
+++ b/games/openmsx/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
+fi
diff --git a/games/openmsx/openmsx.SlackBuild b/games/openmsx/openmsx.SlackBuild
new file mode 100644
index 0000000000..f07b991c32
--- /dev/null
+++ b/games/openmsx/openmsx.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Slackware build script for OpenMSX
+
+# Copyright 2013 Erwin van Zanten <e.van.zanten.evz@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=openmsx
+VERSION=${VERSION:-0.9.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+SYMLINK_FOR_BINARY=false \
+./configure
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Manually create a symlink
+mkdir -p $PKG/usr/bin
+(cd $PKG/usr/bin ; ln -s /opt/openMSX/bin/$PRGNAM . )
+
+# Install an icon and a desktop entry
+install -m 0644 -D $PKG/opt/openMSX/share/icons/openMSX-logo-128.png \
+ $PKG/usr/share/pixmaps/$PRGNAM.png
+install -m 0644 -D $CWD/$PRGNAM.desktop \
+ $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/openmsx/openmsx.desktop b/games/openmsx/openmsx.desktop
new file mode 100644
index 0000000000..8c90b3177e
--- /dev/null
+++ b/games/openmsx/openmsx.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Version=1.0
+Name=openMSX
+GenericName=MSX emulator
+Comment=Emulator for the MSX platforms
+Icon=openmsx
+Exec=openmsx
+Terminal=false
+Type=Application
+Categories=Game;Emulator;
diff --git a/games/openmsx/openmsx.info b/games/openmsx/openmsx.info
new file mode 100644
index 0000000000..1dbbe8b40a
--- /dev/null
+++ b/games/openmsx/openmsx.info
@@ -0,0 +1,10 @@
+PRGNAM="openmsx"
+VERSION="0.9.1"
+HOMEPAGE="http://openmsx.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/openmsx/openmsx-0.9.1.tar.gz"
+MD5SUM="37f9706652add2c881dcae4afdf00664"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libxml++"
+MAINTAINER="Erwin van Zanten"
+EMAIL="e.van.zanten.evz@gmail.com"
diff --git a/games/openmsx/slack-desc b/games/openmsx/slack-desc
new file mode 100644
index 0000000000..c308097173
--- /dev/null
+++ b/games/openmsx/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+openmsx: openMSX (MSX Emulator)
+openmsx:
+openmsx: openMSX is an emulator for the MSX home computer system.
+openmsx: Its goal is to emulate all aspects of the MSX with 100% accuracy:
+openmsx: perfection in emulation.
+openmsx:
+openmsx: Homepage: http://openmsx.sourceforge.net
+openmsx:
+openmsx:
+openmsx:
+openmsx: